Package org.apache.calcite.avatica.proto

## Interface Responses.CreateStatementResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `Responses.CreateStatementResponse`, `Responses.CreateStatementResponse.Builder`

Enclosing class:
  Responses

    public static interface Responses.CreateStatementResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getConnectionId()` `string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 1;`
`Responses.RpcMetadata` `getMetadata()` `.RpcMetadata metadata = 3;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `.RpcMetadata metadata = 3;`
`int` `getStatementId()` `uint32 statement_id = 2;`
`boolean` `hasMetadata()` `.RpcMetadata metadata = 3;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getConnectionId

    java.lang.String getConnectionId()

`string connection_id = 1;`

#### getConnectionIdBytes

    com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 1;`

#### getStatementId

    int getStatementId()

`uint32 statement_id = 2;`

#### hasMetadata

    boolean hasMetadata()

`.RpcMetadata metadata = 3;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`.RpcMetadata metadata = 3;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`.RpcMetadata metadata = 3;`